wxWidgets: wxRect2DDouble Class Reference

| Version: 3.0.4

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
wxRect2DDouble Class Reference

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.x86_64/src/wxWidgets-3.0.4/interface/wx/geometry.h>`

## Public Member Functions
| wxRect2DDouble ()
| wxRect2DDouble (wxDouble x, wxDouble y, wxDouble w, wxDouble h)
wxPoint2DDouble | GetPosition () const
wxSize | GetSize () const
wxDouble | GetLeft () const
void | SetLeft (wxDouble n)
void | MoveLeftTo (wxDouble n)
wxDouble | GetTop () const
void | SetTop (wxDouble n)
void | MoveTopTo (wxDouble n)
wxDouble | GetBottom () const
void | SetBottom (wxDouble n)
void | MoveBottomTo (wxDouble n)
wxDouble | GetRight () const
void | SetRight (wxDouble n)
void | MoveRightTo (wxDouble n)
wxPoint2DDouble | GetLeftTop () const
void | SetLeftTop (const wxPoint2DDouble &pt)
void | MoveLeftTopTo (const wxPoint2DDouble &pt)
wxPoint2DDouble | GetLeftBottom () const
void | SetLeftBottom (const wxPoint2DDouble &pt)
void | MoveLeftBottomTo (const wxPoint2DDouble &pt)
wxPoint2DDouble | GetRightTop () const
void | SetRightTop (const wxPoint2DDouble &pt)
void | MoveRightTopTo (const wxPoint2DDouble &pt)
wxPoint2DDouble | GetRightBottom () const
void | SetRightBottom (const wxPoint2DDouble &pt)
void | MoveRightBottomTo (const wxPoint2DDouble &pt)
wxPoint2DDouble | GetCentre () const
void | SetCentre (const wxPoint2DDouble &pt)
void | MoveCentreTo (const wxPoint2DDouble &pt)
wxOutCode | GetOutCode (const wxPoint2DDouble &pt) const
wxOutCode | GetOutcode (const wxPoint2DDouble &pt) const
bool | Contains (const wxPoint2DDouble &pt) const
bool | Contains (const wxRect2DDouble &rect) const
bool | IsEmpty () const
bool | HaveEqualSize (const wxRect2DDouble &rect) const
void | Inset (wxDouble x, wxDouble y)
void | Inset (wxDouble left, wxDouble top, wxDouble right, wxDouble bottom)
void | Offset (const wxPoint2DDouble &pt)
void | ConstrainTo (const wxRect2DDouble &rect)
wxPoint2DDouble | Interpolate (wxInt32 widthfactor, wxInt32 heightfactor)
void | Intersect (const wxRect2DDouble &otherRect)
wxRect2DDouble | CreateIntersection (const wxRect2DDouble &otherRect) const
bool | Intersects (const wxRect2DDouble &rect) const
void | Union (const wxRect2DDouble &otherRect)
void | Union (const wxPoint2DDouble &pt)
wxRect2DDouble | CreateUnion (const wxRect2DDouble &otherRect) const
void | Scale (wxDouble f)
void | Scale (wxInt32 num, wxInt32 denum)
wxRect2DDouble & | operator= (const wxRect2DDouble &rect)
bool | operator== (const wxRect2DDouble &rect) const
bool | operator!= (const wxRect2DDouble &rect) const

## Static Public Member Functions
static void | Intersect (const wxRect2DDouble &src1, const wxRect2DDouble &src2, wxRect2DDouble *dest)
static void | Union (const wxRect2DDouble &src1, const wxRect2DDouble &src2, wxRect2DDouble *dest)

## Public Attributes
wxDouble | m_x
wxDouble | m_y
wxDouble | m_width
wxDouble | m_height

## Constructor & Destructor Documentation

## ◆ wxRect2DDouble() [1/2]

wxRect2DDouble::wxRect2DDouble | ( |  | ) |

## ◆ wxRect2DDouble() [2/2]

wxRect2DDouble::wxRect2DDouble | ( | wxDouble | x,
|  | wxDouble | y,
|  | wxDouble | w,
|  | wxDouble | h
| ) |  |

## Member Function Documentation

## ◆ ConstrainTo()

void wxRect2DDouble::ConstrainTo | ( | const wxRect2DDouble & | rect | ) |

## ◆ Contains() [1/2]

bool wxRect2DDouble::Contains | ( | const wxPoint2DDouble & | pt | ) | const

## ◆ Contains() [2/2]

bool wxRect2DDouble::Contains | ( | const wxRect2DDouble & | rect | ) | const

## ◆ CreateIntersection()

wxRect2DDouble wxRect2DDouble::CreateIntersection | ( | const wxRect2DDouble & | otherRect | ) | const

## ◆ CreateUnion()

wxRect2DDouble wxRect2DDouble::CreateUnion | ( | const wxRect2DDouble & | otherRect | ) | const

## ◆ GetBottom()

wxDouble wxRect2DDouble::GetBottom | ( |  | ) | const

## ◆ GetCentre()

wxPoint2DDouble wxRect2DDouble::GetCentre | ( |  | ) | const

## ◆ GetLeft()

wxDouble wxRect2DDouble::GetLeft | ( |  | ) | const

## ◆ GetLeftBottom()

wxPoint2DDouble wxRect2DDouble::GetLeftBottom | ( |  | ) | const

## ◆ GetLeftTop()

wxPoint2DDouble wxRect2DDouble::GetLeftTop | ( |  | ) | const

## ◆ GetOutCode()

wxOutCode wxRect2DDouble::GetOutCode | ( | const wxPoint2DDouble & | pt | ) | const

## ◆ GetOutcode()

wxOutCode wxRect2DDouble::GetOutcode | ( | const wxPoint2DDouble & | pt | ) | const

## ◆ GetPosition()

wxPoint2DDouble wxRect2DDouble::GetPosition | ( |  | ) | const

## ◆ GetRight()

wxDouble wxRect2DDouble::GetRight | ( |  | ) | const

## ◆ GetRightBottom()

wxPoint2DDouble wxRect2DDouble::GetRightBottom | ( |  | ) | const

## ◆ GetRightTop()

wxPoint2DDouble wxRect2DDouble::GetRightTop | ( |  | ) | const

## ◆ GetSize()

wxSize wxRect2DDouble::GetSize | ( |  | ) | const

## ◆ GetTop()

wxDouble wxRect2DDouble::GetTop | ( |  | ) | const

## ◆ HaveEqualSize()

bool wxRect2DDouble::HaveEqualSize | ( | const wxRect2DDouble & | rect | ) | const

## ◆ Inset() [1/2]

void wxRect2DDouble::Inset | ( | wxDouble | x,
|  | wxDouble | y
| ) |  |

## ◆ Inset() [2/2]

void wxRect2DDouble::Inset | ( | wxDouble | left,
|  | wxDouble | top,
|  | wxDouble | right,
|  | wxDouble | bottom
| ) |  |

## ◆ Interpolate()

wxPoint2DDouble wxRect2DDouble::Interpolate | ( | wxInt32 | widthfactor,
|  | wxInt32 | heightfactor
| ) |  |

## ◆ Intersect() [1/2]

static void wxRect2DDouble::Intersect | ( | const wxRect2DDouble & | src1,
|  | const wxRect2DDouble & | src2,
|  | wxRect2DDouble * | dest
| ) |  |
| static

## ◆ Intersect() [2/2]

void wxRect2DDouble::Intersect | ( | const wxRect2DDouble & | otherRect | ) |

## ◆ Intersects()

bool wxRect2DDouble::Intersects | ( | const wxRect2DDouble & | rect | ) | const

## ◆ IsEmpty()

bool wxRect2DDouble::IsEmpty | ( |  | ) | const

## ◆ MoveBottomTo()

void wxRect2DDouble::MoveBottomTo | ( | wxDouble | n | ) |

## ◆ MoveCentreTo()

void wxRect2DDouble::MoveCentreTo | ( | const wxPoint2DDouble & | pt | ) |

## ◆ MoveLeftBottomTo()

void wxRect2DDouble::MoveLeftBottomTo | ( | const wxPoint2DDouble & | pt | ) |

## ◆ MoveLeftTo()

void wxRect2DDouble::MoveLeftTo | ( | wxDouble | n | ) |

## ◆ MoveLeftTopTo()

void wxRect2DDouble::MoveLeftTopTo | ( | const wxPoint2DDouble & | pt | ) |

## ◆ MoveRightBottomTo()

void wxRect2DDouble::MoveRightBottomTo | ( | const wxPoint2DDouble & | pt | ) |

## ◆ MoveRightTo()

void wxRect2DDouble::MoveRightTo | ( | wxDouble | n | ) |

## ◆ MoveRightTopTo()

void wxRect2DDouble::MoveRightTopTo | ( | const wxPoint2DDouble & | pt | ) |

## ◆ MoveTopTo()

void wxRect2DDouble::MoveTopTo | ( | wxDouble | n | ) |

## ◆ Offset()

void wxRect2DDouble::Offset | ( | const wxPoint2DDouble & | pt | ) |

## ◆ operator!=()

bool wxRect2DDouble::operator!= | ( | const wxRect2DDouble & | rect | ) | const

## ◆ operator=()

wxRect2DDouble& wxRect2DDouble::operator= | ( | const wxRect2DDouble & | rect | ) |

## ◆ operator==()

bool wxRect2DDouble::operator== | ( | const wxRect2DDouble & | rect | ) | const

## ◆ Scale() [1/2]

void wxRect2DDouble::Scale | ( | wxDouble | f | ) |

## ◆ Scale() [2/2]

void wxRect2DDouble::Scale | ( | wxInt32 | num,
|  | wxInt32 | denum
| ) |  |

## ◆ SetBottom()

void wxRect2DDouble::SetBottom | ( | wxDouble | n | ) |

## ◆ SetCentre()

void wxRect2DDouble::SetCentre | ( | const wxPoint2DDouble & | pt | ) |

## ◆ SetLeft()

void wxRect2DDouble::SetLeft | ( | wxDouble | n | ) |

## ◆ SetLeftBottom()

void wxRect2DDouble::SetLeftBottom | ( | const wxPoint2DDouble & | pt | ) |

## ◆ SetLeftTop()

void wxRect2DDouble::SetLeftTop | ( | const wxPoint2DDouble & | pt | ) |

## ◆ SetRight()

void wxRect2DDouble::SetRight | ( | wxDouble | n | ) |

## ◆ SetRightBottom()

void wxRect2DDouble::SetRightBottom | ( | const wxPoint2DDouble & | pt | ) |

## ◆ SetRightTop()

void wxRect2DDouble::SetRightTop | ( | const wxPoint2DDouble & | pt | ) |

## ◆ SetTop()

void wxRect2DDouble::SetTop | ( | wxDouble | n | ) |

## ◆ Union() [1/3]

static void wxRect2DDouble::Union | ( | const wxRect2DDouble & | src1,
|  | const wxRect2DDouble & | src2,
|  | wxRect2DDouble * | dest
| ) |  |
| static

## ◆ Union() [2/3]

void wxRect2DDouble::Union | ( | const wxRect2DDouble & | otherRect | ) |

## ◆ Union() [3/3]

void wxRect2DDouble::Union | ( | const wxPoint2DDouble & | pt | ) |

## Member Data Documentation

## ◆ m_height

wxDouble wxRect2DDouble::m_height

## ◆ m_width

wxDouble wxRect2DDouble::m_width

## ◆ m_x

wxDouble wxRect2DDouble::m_x

## ◆ m_y

wxDouble wxRect2DDouble::m_y